/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreVariableattr;

import java.time.LocalDateTime;

import org.jooq.JSONB;
import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreVariableattrRecord extends UpdatableRecordImpl<TCoreVariableattrRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_variableattr.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattr.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_variableattr.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattr.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_variableattr.fk_variable</code>.
     * reference to variable
     */
    public void setFkVariable(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattr.fk_variable</code>.
     * reference to variable
     */
    public Integer getFkVariable() {
        return (Integer) get(2);
    }

    /**
     * Setter for
     * <code>common_dd.t_core_variableattr.fk_variableattrtype</code>. reference
     * to variable attribute type
     */
    public void setFkVariableattrtype(Integer value) {
        set(3, value);
    }

    /**
     * Getter for
     * <code>common_dd.t_core_variableattr.fk_variableattrtype</code>. reference
     * to variable attribute type
     */
    public Integer getFkVariableattrtype() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_variableattr.value</code>.
     */
    public void setValue(JSONB value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_variableattr.value</code>.
     */
    public JSONB getValue() {
        return (JSONB) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreVariableattrRecord
     */
    public TCoreVariableattrRecord() {
        super(TCoreVariableattr.T_CORE_VARIABLEATTR);
    }

    /**
     * Create a detached, initialised TCoreVariableattrRecord
     */
    public TCoreVariableattrRecord(LocalDateTime lastchange, Integer pk, Integer fkVariable, Integer fkVariableattrtype, JSONB value) {
        super(TCoreVariableattr.T_CORE_VARIABLEATTR);

        setLastchange(lastchange);
        setPk(pk);
        setFkVariable(fkVariable);
        setFkVariableattrtype(fkVariableattrtype);
        setValue(value);
        resetChangedOnNotNull();
    }
}
